<?php include('header.php'); //header ?>
<?php
//for main values
if (session_status() == PHP_SESSION_NONE) {
  session_start();
}
if( isset($_REQUEST['filtered']) ){
  $form_type       = mysqli_real_escape_string($conn, $_POST['form_type']);
  $pickup_location = mysqli_real_escape_string($conn, $_POST['pickup_location']);
  $pickup_dropoff  = mysqli_real_escape_string($conn, $_POST['pickup_dropoff']);
  $pickup_date     = mysqli_real_escape_string($conn, $_POST['pickup_date']);
  $pickup_time     = mysqli_real_escape_string($conn, $_POST['pickup_time']);
  $pickup_duration = mysqli_real_escape_string($conn, $_POST['pickup_duration']);

  $_SESSION['form_type']       = $form_type;
  $_SESSION['pickup_location'] = $pickup_location;
  $_SESSION['pickup_dropoff']  = $pickup_dropoff;
  $_SESSION['pickup_date']     = $pickup_date;
  $_SESSION['pickup_time']     = $pickup_time;
  $_SESSION['pickup_duration'] = $pickup_duration;
}
?>

<section class="ftco-section-parallax page-title">
  <div class="parallax-img d-flex align-items-center">
    <div class="container">
      <div class="text-center heading-section heading-section-white mt-5">
        <h2>Car Booking</h2>
      </div>
    </div>
  </div>
</section>

<div id="response" class="bg-light h4 py-4 m-0 text-danger text-center">
  <?php
  if(isset($_POST['booking_submit'])) {

    // Required field names
    $required_fields = array(
      'car_name',
      'pickup_location',
      'pickup_date',
      'pickup_time',
      'booker_name',
      'booker_phone',
      'booker_address',
      'booker_city',
      'booker_state',
    );

    // Loop over fields, check if unset or empty
    $error = false;
    foreach($required_fields as $field) {
      if ( !isset( $_POST[$field] ) || empty( $_POST[$field] ) ) {
        $error = true;
        echo "<strong> ERROR: Required fields Empty or Invalid. </strong>".$field;
      } else {
        $trim_val = mysqli_real_escape_string($conn, $_POST[$field]);
        if ( trim($trim_val) == '' ){
          $error = true;
          echo "<strong> ERROR: Required fields cant be just spaces. </strong>";
        }
      }
    }

    // Set Optional Values
    $optional_fields = array(
      'form_type',
      'pickup_dropoff',
      'pickup_duration',
      'booker_email',
      'booker_phone_alt',
      'booker_pincode',
      'booking_status',
      'extra_info',
      'notes',
    );
    foreach($optional_fields as $fieldo) {
      $fieldo_value = "";
      if ( isset( $_POST[$fieldo] ) && !empty( $_POST[$fieldo] ) ) {
        $fieldo_value = mysqli_real_escape_string($conn, $_POST[$fieldo]);
      }
      $_POST[$fieldo] = $fieldo_value; //not errors
    }

    if( !$error ){
      // get values

      $car_name         = mysqli_real_escape_string($conn, $_POST['car_name']);
      $form_type        = mysqli_real_escape_string($conn, $_POST['form_type']);
      $pickup_location  = mysqli_real_escape_string($conn, $_POST['pickup_location']);
      $pickup_dropoff   = mysqli_real_escape_string($conn, $_POST['pickup_dropoff']);
      $pickup_date      = mysqli_real_escape_string($conn, $_POST['pickup_date']);
      $pickup_time      = mysqli_real_escape_string($conn, $_POST['pickup_time']);
      $pickup_duration  = mysqli_real_escape_string($conn, $_POST['pickup_duration']);
      $booker_name      = mysqli_real_escape_string($conn, $_POST['booker_name']);
      $booker_email     = mysqli_real_escape_string($conn, $_POST['booker_email']);
      $booker_phone     = mysqli_real_escape_string($conn, $_POST['booker_phone']);
      $booker_phone_alt = mysqli_real_escape_string($conn, $_POST['booker_phone_alt']);
      $booker_address   = mysqli_real_escape_string($conn, $_POST['booker_address']);
      $booker_city      = mysqli_real_escape_string($conn, $_POST['booker_city']);
      $booker_state     = mysqli_real_escape_string($conn, $_POST['booker_state']);
      $booker_pincode   = mysqli_real_escape_string($conn, $_POST['booker_pincode']);
      $booking_status   = mysqli_real_escape_string($conn, $_POST['booking_status']);
      $extra_info       = mysqli_real_escape_string($conn, $_POST['extra_info']);
      $notes            = mysqli_real_escape_string($conn, $_POST['notes']);

      $uniqd = round(microtime(true));
      $booking_id = 'BK'.$uniqd;

      // add to db
      $insert_sql = "INSERT INTO bookings( `form_type`, `car_name`, `pickup_location`, `pickup_dropoff`, `pickup_date`, `pickup_time`, `pickup_duration`, `booker_name`, `booker_email`, `booker_phone`, `booker_phone_alt`, `booker_address`, `booker_city`, `booker_state`, `booker_pincode`, `booking_status`, `booking_id`, `extra_info`, `notes` ) VALUES( '$form_type', '$car_name', '$pickup_location', '$pickup_dropoff', '$pickup_date', '$pickup_time', '$pickup_duration', '$booker_name', '$booker_email', '$booker_phone', '$booker_phone_alt', '$booker_address', '$booker_city', '$booker_state', '$booker_pincode', '$booking_status', '$booking_id', '$extra_info', '$notes' ) ";

      $quer = mysqli_prepare($conn, $insert_sql);
      if( $quer ){
        $querx = mysqli_stmt_execute($quer);
        $last = mysqli_insert_id($conn);

        //send mail alert
        $to = "amanpreet@intiger.in";
        $from = "booking@domeeno.com";
        $subject = "New Booking on Domeeno Website";
        $message = "<html><head><title>New Booking on Domeeno Website</title></head><body>";
        $message .= "<p>New Booking on Domeeno Website</p>";
        $message .= '<table rules="all" style="border:1px solid #ccc;" cellpadding="10">';
        $message .= "<tr> <td>Car Name</td> <td>".$car_name."</td> </tr>";
        $message .= "<tr> <td>Pickup Location</td> <td>".$pickup_location."</td> </tr>";
        $message .= "<tr> <td>Pickup Date</td> <td>".$pickup_date."</td> </tr>";
        $message .= "<tr> <td>Customer Name</td> <td>".$booker_name."</td> </tr>";
        $message .= "<tr> <td>Customer Email</td> <td>".$booker_email."</td> </tr>";
        $message .= "<tr> <td>Customer Phone</td> <td>".$booker_phone."</td> </tr>";
        $message .= "</table>";
        $message .= "</body></html>";
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
        $headers .= 'From: <'.$from.'>' . "\r\n";
        $headers .= 'Reply-To: <'.$from.'>' . "\r\n";
        $mail_check = mail($to, $subject, $message, $headers);
        if( $mail_check ){
          echo "Mail Sent";
        } else {
          echo "Mail Failed";
        }

        //show response
        echo "<strong class='text-success'>SUCCESS: Booking Added Successfully. Redirecting now...</strong>";
        echo '<script>window.location="cars-booking-done.php?view='.$booking_id.'&response=success";</script>';
        // echo 'cars-booking-done.php?view='.$booking_id.'&response=success';


      } else {
        echo "<strong>ERROR: Booking failed. Please try again later or Contact us.</strong>";
        // echo '<script>window.location="cars-booking-done.php?response=failed";</script>';
      }


    }

  }
  ?>
</div>

<!-- section -->
<section class="site-section pb-5 pt-1 bg-light job-details">
  <div class="container">

    <div class="heading-section text-center mt-5">
      <h2 class=""><span>Complete</span> your Booking</h2>
      <p class="lead">Fill up the form below to complete your booking process. Your selected car is also displayed below.</p>
    </div>

    <?php
    if( isset($_REQUEST['car']) && !empty($_REQUEST['car']) ){
      $cid = $_REQUEST['car'];
      //Simple select query
      $blog_sql = "SELECT * FROM cars WHERE `cid` = '$cid' ";
      $blog_query = mysqli_query($conn, $blog_sql);
      $job = mysqli_fetch_assoc($blog_query);
      $datef = date('d M, Y', strtotime($job['dated']));

      if( !empty($job) ){ ?>

        <div class="row">
          <div class="col-md-9">
            <div class="card p-4">

              <form name="register_form" action="" method="post" enctype="multipart/form-data">
                <input type="hidden" name="form_type" value="<?php echo $_SESSION['form_type']; ?>">
                <input type="hidden" name="car_name" value="<?php echo $job['car_name']; ?>">

                <div class="border-bottom mb-4">
                  <p> <a href="http://www.domeeno.com/demo/packages.php"><strong>View Packages</strong></a> for information on Price Estimation.</p>
                </div>

                <div class="border-bottom mb-4 pb-4">
                  <h4 class="text-light mb-4"><strong>Pickup Information</strong></h4>

                  <div class="form-row">
                    <div class="form-group col-md-6">
                      <label for="">Pickup Location <span class="text-danger">*</span> </label>
                      <input class="form-control" name="pickup_location" type="text" required placeholder="place / city" value="<?php echo $_SESSION['pickup_location']; ?>">
                    </div>
                    <div class="form-group col-md-6">
                      <label for="">Dropoff Location </label>
                      <input class="form-control" name="pickup_dropoff" type="text" placeholder="place / city" value="<?php echo $_SESSION['pickup_dropoff']; ?>">
                    </div>
                  </div>
                  <div class="form-row">
                    <div class="form-group col-md-6">
                      <label for="">Pickup Date <span class="text-danger">*</span></label>
                      <input class="form-control datepicker" name="pickup_date" type="text" required placeholder="dd/mm/yyyy" value="<?php echo $_SESSION['pickup_date']; ?>">
                    </div>
                    <div class="form-group col-md-3">
                      <label for="">Pickup Time <span class="text-danger">*</span></label>
                      <input class="form-control" name="pickup_time" type="text" required placeholder="00 am" value="<?php echo $_SESSION['pickup_time']; ?>">
                    </div>
                    <div class="form-group col-md-3">
                      <label for="">Duration</label>
                      <input class="form-control" name="pickup_duration" type="text" placeholder="00 hrs" value="<?php echo $_SESSION['pickup_duration']; ?>">
                    </div>
                  </div>

                  <!-- <div class="form-group">
                    <label for="address">Address</label>
                    <input class="form-control" name="address" type="text" required placeholder="full address">
                  </div> -->
                </div>

                <div class="mb-4">
                  <h4 class="text-light mb-4"><strong>Personal Details</strong></h4>

                  <div class="form-row">
                    <div class="form-group col-md-6">
                      <label for="fullname">Full Name <span class="text-danger">*</span></label>
                      <input class="form-control" name="booker_name" type="text" required placeholder="your name">
                    </div>
                    <div class="form-group col-md-6">
                      <label for="email">Email</label>
                      <input class="form-control" name="booker_email" type="text" placeholder="example@mail.com">
                    </div>
                  </div>
                  <div class="form-row">
                    <div class="form-group col-md-6">
                      <label for="email">Phone <span class="text-danger">*</span></label>
                      <input class="form-control" name="booker_phone" type="text" required placeholder="1234567890">
                    </div>
                    <div class="form-group col-md-6">
                      <label for="phone">Phone Alternate</label>
                      <input class="form-control" name="booker_phone_alt" type="text" placeholder="1234567890">
                    </div>
                  </div>
                  <div class="form-group">
                    <label for="address">Address <span class="text-danger">*</span></label>
                    <input class="form-control" name="booker_address" type="text" required placeholder="full address">
                  </div>
                  <div class="form-row">
                    <div class="form-group col-md-4">
                      <label for="state">State/UT <span class="text-danger">*</span></label>
                      <input class="form-control" name="booker_state" type="text" required placeholder="state">
                    </div>
                    <div class="form-group col-md-4">
                      <label for="city">City <span class="text-danger">*</span></label>
                      <input class="form-control" name="booker_city" type="text" required placeholder="city">
                    </div>
                    <div class="form-group col-md-4">
                      <label for="pincode">Pincode</label>
                      <input class="form-control" name="booker_pincode" type="text" required placeholder="pincode">
                    </div>
                  </div>
                  <div class="form-group form-check">
                    <input type="checkbox" class="form-check-input" name="terms_check" required>
                    <label class="form-check-label" for="">I agree to <a href="terms-and-conditions.php" target="_blank" rel="noopener noreferrer">Terms and Conditions</a>. </label>
                  </div>
                </div>

                <!-- <div class="mb-4">
                  <h4 class="text-light"><strong>Extra Information</strong></h4>
                  <div class="form-group">
                    <label for="address">Any other important notes</label>
                    <textarea name="" rows="2" class="form-control" name="address" placeholder=""></textarea>
                  </div>
                </div>
                <div class="form-group form-check">
                  <input type="checkbox" class="form-check-input" id="termsCheck" required>
                  <label class="form-check-label" for="">I agree to <a href="terms-and-conditions.php" target="_blank" rel="noopener noreferrer">Terms and Conditions</a>. </label>
                </div> -->

                <div class="form-group">
                  <input class="btn btn-color btn-lg" type='submit' name='booking_submit' value='SUBMIT' />
                </div>
              </form>

            </div>

            <div class="card p-4 mt-4">
              <h6>Mandatory Documents</h6>
              <p class="text-muted">Our Team may ask Passport / Voter ID card/ Driving Licence/ Credit Card to clients/ customer for any safety reasons/ issues.</p>

              <h6>Cancellation and Returns</h6>
              <p class="text-muted">You may cancel the booking 24 hour prior to the time of journey, without any cancellation charges for all services. In case cancellation or shorting of the trip is requested within 24 hours of the pick-up time.</p>
              <ul>
                <li></li>
              </ul>
            </div>

          </div>
          <div class="col-md-3">
            <div class="jobs-widgets">

              <div class="card">
                <div class="row no-gutters">
                  <img class="card-img" src="uploads/<?php echo $job['car_image']; ?>" alt="">
                  <div class="card-body">
                    <h6 class="card-subtitle text-muted text-uppercase"><small><?php echo $job['car_category']; ?></small></h6>
                    <h5 class="card-title"><strong><?php echo $job['car_name']; ?></strong></h5>
                    <div class="card-text">
                      <strong> <i class="fa fa-user-friends"></i> Persons:</strong> <?php echo $job['car_passengers']; ?> <br>
                      <strong> <i class="fa fa-briefcase"></i> Luggage:</strong> <?php echo $job['car_luggage']; ?> <br>
                      <strong> <i class="fa fa-money-check-alt"></i> Air Conditioner:</strong> <?php echo $job['car_air_conditioner']; ?> <br>
                      <!-- <p class="text-muted"><?php echo strip_tags( $job['car_description'] ); ?></p> -->
                      <a class="btn btn-dark btn-sm mt-3 modal-link" href="#">Car Details</a>
                    </div>
                  </div>
                </div>

                <div class="for-modal car-details-full d-none">
                  <div class="row no-gutters">
                    <img class="card-img w-100" src="uploads/<?php echo $job['car_image']; ?>" alt="">
                    <div class="card-body bg-white p-0">
                      <h4 class="card-title text-center my-3"><strong><?php echo $job['car_name']; ?></strong></h4>
                      <table class="table table-bordered table-striped table-sm">
                        <tbody>
                          <tr>
                            <td style="width: 35%;"> Category </td>
                            <td style="width: 65%;"> <?php echo $job['car_category']; ?> </td>
                          </tr>
                          <tr>
                            <td> Model Name </td>
                            <td> <?php echo $job['car_name']; ?> </td>
                          </tr>
                          <tr>
                            <td> Car Brand </td>
                            <td> <?php echo $job['car_brand']; ?> </td>
                          </tr>
                          <tr>
                            <td> Passengers </td>
                            <td> <?php echo $job['car_passengers']; ?> </td>
                          </tr>
                          <tr>
                            <td> Luggage </td>
                            <td> <?php echo $job['car_luggage']; ?> </td>
                          </tr>
                          <tr>
                            <td> Car Engine </td>
                            <td> <?php echo $job['car_engine']; ?> </td>
                          </tr>
                          <tr>
                            <td> Fuel Type </td>
                            <td> <?php echo $job['car_fuel']; ?> </td>
                          </tr>
                          <tr>
                            <td> Car Doors </td>
                            <td> <?php echo $job['car_doors']; ?> </td>
                          </tr>
                          <tr>
                            <td> Transmission </td>
                            <td> <?php echo $job['car_transmission']; ?> </td>
                          </tr>
                          <tr>
                            <td> Air Conditioner </td>
                            <td> <?php echo $job['car_air_conditioner']; ?> </td>
                          </tr>
                          <tr>
                            <td> Air Bags </td>
                            <td> <?php echo $job['car_air_bags']; ?> </td>
                          </tr>
                          <tr>
                            <td> Music Facility </td>
                            <td> <?php echo $job['car_music']; ?> </td>
                          </tr>
                          <tr>
                            <td> More Information </td>
                            <td> <?php echo $job['car_description']; ?> </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>

              <div class="card p-4 mt-4">
                <h6><small><strong>CONTACT US</strong></small></h6>
                <p>
                  <i class="fa fa-phone"></i> <a href="tel:+1234567890"> +1-1234567890 </a> <br>
                  <i class="fa fa-envelope"></i> <a href="mailto:info@domeeno.com"> info@domeeno.com </a>
                </p>
              </div>
            </div>

          </div>
        </div>

      <?php } else { ?>

        <div class="heading-section text-center my-5">
          <h2>Car not available!</h2>
          <div class="lead">Car is not selected or not available for booking, please go back and select from available cars.</div>
          <a href="cars.php" class="btn btn-dark mt-3"> <i class="fa fa-car" aria-hidden="true"></i> VIEW ALL CARS</a>
        </div>

      <?php } ?>

    <?php } else { ?>

      <div class="heading-section text-center my-5">
        <h2>Car not found!</h2>
        <div class="lead">Car is not selected or found for booking, please go back and select a car first.</div>
        <a href="cars.php" class="btn btn-dark mt-3"> <i class="fa fa-car" aria-hidden="true"></i> VIEW ALL CARS</a>
      </div>

    <?php } ?>

  </div>
</section>


<?php include('footer.php'); //footer ?>
