<?php include('header.php'); //header ?>
<?php
//for main values
if (session_status() == PHP_SESSION_NONE) {
  session_start();
}
if( isset($_REQUEST['filtered']) ){
  $form_type       = mysqli_real_escape_string($conn, $_POST['form_type']);
  $pickup_location = mysqli_real_escape_string($conn, $_POST['pickup_location']);
  $pickup_dropoff  = mysqli_real_escape_string($conn, $_POST['pickup_dropoff']);
  $pickup_date     = mysqli_real_escape_string($conn, $_POST['pickup_date']);
  $pickup_time     = mysqli_real_escape_string($conn, $_POST['pickup_time']);
  $pickup_duration = mysqli_real_escape_string($conn, $_POST['pickup_duration']);

  $_SESSION['form_type']       = $form_type;
  $_SESSION['pickup_location'] = $pickup_location;
  $_SESSION['pickup_dropoff']  = $pickup_dropoff;
  $_SESSION['pickup_date']     = $pickup_date;
  $_SESSION['pickup_time']     = $pickup_time;
  $_SESSION['pickup_duration'] = $pickup_duration;
}
?>
<?php
//for searching values
$filter_sql = '';
if( isset($_REQUEST['searched']) ){
  $s_term     = mysqli_real_escape_string($conn, $_REQUEST['s_term']);
  $s_category = mysqli_real_escape_string($conn, $_REQUEST['s_category']);
  // $s_location = mysqli_real_escape_string($conn, $_REQUEST['s_location']);

  $_SESSION['s_term']     = $s_term;
  $_SESSION['s_category'] = $s_category;

  if( !empty($s_term) ){
    // $filter_sql .= " WHERE `status` = 'active' AND job_title LIKE '%$s_term%' OR job_description LIKE '%$s_term%' ";
    $filter_sql .= " AND car_name LIKE '%$s_term%' ";
    // echo " <strong>In Title:</strong> $s_term ";
  } else {
    $filter_sql .= " AND car_name LIKE '%%' ";
  }
  if( !empty($s_category) ){
    $filter_sql .= " AND car_category LIKE '%$s_category%' ";
    // echo " <strong>Category:</strong> $s_category ";
  }
  // if( !empty($s_location) ){
  //   $filter_sql .= " AND car_location LIKE '%$s_location%' ";
  //   echo " <strong>Location:</strong> $s_location ";
  // }

} else {
  $_SESSION['s_term']     = '';
  $_SESSION['s_category'] = '';
}
?>

<section class="ftco-section-parallax page-title">
  <div class="parallax-img d-flex align-items-center">
    <div class="container">
      <div class="text-center heading-section heading-section-white mt-5">
        <h2>Cars</h2>
      </div>
    </div>
  </div>
</section>

<!-- section -->
<section class="site-section py-5 bg-light">
  <div class="container">

    <div class="heading-section text-center mt-5">
      <h2 class=""><span>Listing</span> Cars</h2>
      <p class="lead">Listing our most popular Cars. Use the filter on left side to search the cars.</p>
      <div class="response"></div>
    </div>

    <div class="card bg-white mb-4">
      <div class="card-body">

        <div class="row info-row">
          <div class="col">
            <h6>Pick up</h6>
            <p><?php echo $_SESSION['pickup_location']; ?></p>
          </div>
          <div class="col">
            <h6>Drop Off</h6>
            <p><?php echo $_SESSION['pickup_dropoff']; ?></p>
          </div>
          <div class="col">
            <h6>Pickup Date</h6>
            <p><?php echo $_SESSION['pickup_date']; ?></p>
          </div>
          <div class="col">
            <h6>Pickup Time</h6>
            <p><?php echo $_SESSION['pickup_time']; ?></p>
          </div>
          <div class="col">
            <h6>Duration</h6>
            <p><?php echo $_SESSION['pickup_duration']; ?></p>
          </div>
          <div class="col">
            <h6>Type</h6>
            <p><?php echo $_SESSION['form_type']; ?></p>
          </div>
          <div class="col">
            <div class="form-group mt-2 text-right">
              <button class="btn btn-dark btn-sm pl-3" type="button" data-toggle="collapse" data-target="#collapseModify"> Modify <i class="fa fa-caret-down"></i> </button>
            </div>
          </div>
        </div>

        <div class="collapse" id="collapseModify">
          <div class="card card-body bg-light">
            <form id="job-search-form4" class="search-job" action="cars.php" method="post">
              <input type="hidden" name="form_type" value="out_station">
              <input type="hidden" name="car_name" value="">
              <div class="row">
                <div class="col-md-5">
                  <h6>Pick up</h6>
                  <div class="form-group mb-3">
                    <div class="form-field">
                      <div class="icon"> <i class="fa fa-map-marker"></i> </div>
                      <input name="pickup_location" type="text" class="form-control high" placeholder="Pickup Location" value="<?php echo $_SESSION['pickup_location']; ?>">
                    </div>
                  </div>
                  <div class="form-group mb-3">
                    <div class="form-field">
                      <div class="icon"> <i class="fa fa-home"></i> </div>
                      <input name="pickup_dropoff" type="text" class="form-control high" placeholder="Drop Off" value="<?php echo $_SESSION['pickup_dropoff']; ?>">
                    </div>
                  </div>
                </div>
                <div class="col-md-5">
                  <h6>Timings</h6>
                  <div class="form-group mb-3">
                    <div class="form-field">
                      <div class="icon"> <i class="fa fa-calendar"></i> </div>
                      <input name="pickup_date" type="text" class="form-control high datepicker" placeholder="Pickup Date" value="<?php echo $_SESSION['pickup_date']; ?>">
                    </div>
                  </div>
                  <div class="form-row mb-3">
                    <div class="form-group col-6">
                      <div class="form-field">
                        <div class="icon"> <i class="fa fa-clock"></i> </div>
                        <input name="pickup_time" type="text" class="form-control high" placeholder="Pickup Time" value="<?php echo $_SESSION['pickup_time']; ?>">
                      </div>
                    </div>
                    <div class="form-group col-6">
                      <div class="form-field">
                        <div class="icon"> <i class="fa fa-stopwatch"></i> </div>
                        <input name="pickup_duration" type="text" class="form-control high" placeholder="Duration" value="<?php echo $_SESSION['pickup_duration']; ?>">
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md">
                  <div class="form-group mb-3">
                    <div class="form-field mt-4">
                      <input type="submit" name="filtered" value="UPDATE" class="btn btn-primary w-100 h-100">
                    </div>
                    <!-- <small class="text-muted pl-4">* you can check the available cars next</small> -->
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>

      </div>
    </div>

    <div class="row">
      <div class="col-md-3">
        <div class="jobs-widgets">

          <div class="card p-4">
            <form id="job-search-form" action="" method="post">
              <div class="form-group">
                <h6><small><strong>SEARCH</strong></small></h6>
                <input name="s_term" type="text" class="form-control" placeholder="search cars" value="<?php echo $_SESSION['s_term']; ?>">
              </div>
              <div class="form-group">
                <h6><small><strong>CATEGORY</strong></small></h6>
                <select name="s_category" class="form-control form-control-sm">
                  <option value="">All Categories</option>
                  <option value="standard">Standard</option>
                  <option value="executive">Executive</option>
                  <option value="luxury">Luxury</option>
                </select>
              </div>
              <!-- <div class="form-group">
                <h6><small><strong>LOCATION</strong></small></h6>
                <select name="s_location" class="form-control form-control-sm">
                  <option value="">All Locations</option>
                  <option value="chandigarh">Chandigarh</option>
                  <option value="mohali">Mohali</option>
                  <option value="delhi">Delhi</option>
                  <option value="gurugram">Gurugram</option>
                  <option value="noida">Noida</option>
                </select>
              </div> -->
              <div class="form-group mb-0">
                <button class="btn btn-primary w-100" type="submit" name="searched"> <i class="fa fa-search"></i> FILTER CARS</button>
              </div>
            </form>
          </div>

          <div class="card p-4 mt-4">
            <h6><small><strong>CONTACT US</strong></small></h6>
            <p>
              <i class="fa fa-phone"></i> <a href="tel:1234567890"> 1234567890 </a> <br>
              <i class="fa fa-envelope"></i> <a href="mailto:info@domeeno.com"> info@domeeno.com </a>
            </p>
          </div>

        </div>
      </div>
      <div class="col-md-9">
        <?php
        /* Advanced Query with filters */
        // $job_sql = "SELECT * FROM jobs ORDER BY cid DESC LIMIT $items_per_page OFFSET $start_from";
        $job_sql = "SELECT * FROM cars WHERE `status` = 'active' ".$filter_sql." ";

        $job_query = mysqli_query($conn, $job_sql);
        if( mysqli_num_rows($job_query) > 0 ){
          while($job = @mysqli_fetch_array($job_query)) {
            ?>
            <div class="card bg-white mb-4">
              <div class="row no-gutters">
                <div class="col-md-4">
                  <img src="uploads/<?php echo $job['car_image']; ?>" class="card-img" alt="">
                </div>
                <div class="col-md-8">
                  <div class="card-body">
                    <h6 class="card-subtitle text-muted mb-2 text-uppercase"><small><?php echo $job['car_category']; ?></small></h6>
                    <h5 class="card-title"><strong><?php echo $job['car_name']; ?></strong></h5>
                    <div class="card-text">
                      <p> <?php echo strip_tags( substr( $job['car_description'], 0, 200 ) ) . '...'; ?> </p>
                      <div class="row">
                        <div class="col-5"> <strong>Air Conditioner:</strong> <?php echo $job['car_air_conditioner']; ?> </div>
                        <div class="col-3"> <strong>Luggage:</strong> <?php echo $job['car_luggage']; ?> </div>
                        <div class="col-4"> <strong>Passengers:</strong> <?php echo $job['car_passengers']; ?> </div>
                      </div>
                    </div>
                    <a class="btn btn-dark btn-sm mt-3 modal-link" href="#">Car Details</a>
                    <a class="btn btn-color btn-sm mt-3" href="cars-booking.php?car=<?php echo $job['cid']; ?>"> <i class="fa fa-car" aria-hidden="true"></i> BOOK NOW</a>
                  </div>
                </div>
              </div>

              <div class="for-modal car-details-full d-none">
                <div class="row no-gutters">
                  <img class="card-img w-100" src="uploads/<?php echo $job['car_image']; ?>" alt="">
                  <div class="card-body bg-white p-0">
                    <h4 class="card-title text-center my-3"><strong><?php echo $job['car_name']; ?></strong></h4>
                    <table class="table table-bordered table-striped table-sm">
                      <tbody>
                        <tr>
                          <td style="width: 35%;"> Category </td>
                          <td style="width: 65%;"> <?php echo $job['car_category']; ?> </td>
                        </tr>
                        <tr>
                          <td> Model Name </td>
                          <td> <?php echo $job['car_name']; ?> </td>
                        </tr>
                        <tr>
                          <td> Car Brand </td>
                          <td> <?php echo $job['car_brand']; ?> </td>
                        </tr>
                        <tr>
                          <td> Passengers </td>
                          <td> <?php echo $job['car_passengers']; ?> </td>
                        </tr>
                        <tr>
                          <td> Luggage </td>
                          <td> <?php echo $job['car_luggage']; ?> </td>
                        </tr>
                        <tr>
                          <td> Car Engine </td>
                          <td> <?php echo $job['car_engine']; ?> </td>
                        </tr>
                        <tr>
                          <td> Fuel Type </td>
                          <td> <?php echo $job['car_fuel']; ?> </td>
                        </tr>
                        <tr>
                          <td> Car Doors </td>
                          <td> <?php echo $job['car_doors']; ?> </td>
                        </tr>
                        <tr>
                          <td> Transmission </td>
                          <td> <?php echo $job['car_transmission']; ?> </td>
                        </tr>
                        <tr>
                          <td> Air Conditioner </td>
                          <td> <?php echo $job['car_air_conditioner']; ?> </td>
                        </tr>
                        <tr>
                          <td> Air Bags </td>
                          <td> <?php echo $job['car_air_bags']; ?> </td>
                        </tr>
                        <tr>
                          <td> Music Facility </td>
                          <td> <?php echo $job['car_music']; ?> </td>
                        </tr>
                        <tr>
                          <td> More Information </td>
                          <td> <?php echo $job['car_description']; ?> </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

            </div>
            <?php
          }
        } else {
          ?>
          <h6 class="card-subtitle text-muted mb-2 text-uppercase"><small>NOPE</small></h6>
          <h4 class="card-title"><strong>No cars found!</strong></h4>
          <div class="card-text">
            <p class="lead"> Try using different combination of filters or contact us if problem persists. </p>
          </div>
          <a class="btn btn-dark btn-sm" href="cars.php">View All Cars</a>
          <?php
        }
        ?>

      </div>

    </div>
  </div>
</section>

<?php include('footer.php'); //footer ?>
