<?php
include_once("../backend/inc/connection.php");

if(isset($_REQUEST['pay_order_id'])) {

  // Required field names
  $required_fields = array(
    'pay_username',
    'pay_package',
    'pay_amount',
    'pay_order_id',
    'pay_response',
  );

  // Loop over fields, check if unset or empty
  $error = false;
  foreach($required_fields as $field) {
    if ( !isset( $_POST[$field] ) || empty( $_POST[$field] ) ) {
      $error = true;
      echo "<strong class='text-danger'>Required parameters missing. Payment not saved, please Contact Us.</strong>".$_POST[$field];
    } else {
      $trim_val = mysqli_real_escape_string($conn, $_POST[$field]);
      if ( trim($trim_val) == '' ){
        $error = true;
        echo "<strong class='text-danger'>Required parameters missing. Payment not saved, please Contact Us.</strong>";
      }
    }
  }

  if( !$error ){
    // get values
    $pay_username = mysqli_real_escape_string($conn, $_POST['pay_username']);
    $pay_package  = mysqli_real_escape_string($conn, $_POST['pay_package']);
    $pay_amount   = mysqli_real_escape_string($conn, $_POST['pay_amount']);
    $pay_order_id = mysqli_real_escape_string($conn, $_POST['pay_order_id']);
    $pay_response = mysqli_real_escape_string($conn, $_POST['pay_response']);
    $pay_notes    = mysqli_real_escape_string($conn, $_POST['pay_notes']);

    //get validity
    $amt_sql   = "SELECT * FROM amounts WHERE amt_title LIKE '$pay_package' LIMIT 1";
    $amt_query = mysqli_query($conn, $amt_sql);
    $amt_row   = mysqli_fetch_assoc($amt_query);
    $pay_validity = $amt_row['amt_validity'];

    // make query
    $insert_sql = "INSERT INTO payments(`pay_username`, `pay_package`, `pay_amount`, `pay_order_id`, `pay_response`, `pay_notes`, `pay_validity`) VALUES('$pay_username', '$pay_package', '$pay_amount', '$pay_order_id', '$pay_response', '$pay_notes', '$pay_validity') ";

    // save it
    $quer = mysqli_prepare($conn, $insert_sql);
    if( $quer ){
      $querx = mysqli_stmt_execute($quer);
      //userlog('payment_saved', "Payment saved from user: $login_user"); //record keeping
      echo "<strong class='text-success'>SUCCESS: Payment Records Saved Successfully. You can Login Now! </strong>";
    } else {
      echo "<strong class='text-danger'>ERROR: New Job not Added. Please try again later. </strong>";
    }

  }
}



/*
$date   = new DateTime('now', new DateTimeZone('Asia/Kolkata'));
$date11 = $date->format('Y-m-d');

$diff   = abs(strtotime($date11) - strtotime($resss['date']));
$years  = floor($diff / (365*60*60*24));
$months = floor(($diff - $years * 365*60*60*24) / (30*60*60*24));
$days   = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24)/ (60*60*24));
$age    = $months*30 + $days;
if($age > 90)	{
}
*/
